maven-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Benjamin Bentmann (JIRA)" <j...@codehaus.org>
Subject [jira] Commented: (MNG-4893) [regression] Version x.y.z.SNAPSHOT does not deploy correctly
Date Wed, 10 Nov 2010 14:45:03 GMT

    [ http://jira.codehaus.org/browse/MNG-4893?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=242677#action_242677
] 

Benjamin Bentmann commented on MNG-4893:
----------------------------------------

This is caused by an inconsistency in snapshot detection. Maven [2.0, 3.0] consider "5.2.0-20101110.030222-361"
a snapshot version but not "5.2.0.20101110.030222-361" whereas the corresponding base forms
"5.2.0-SNAPSHOT" and "5.2.0.SNAPSHOT" are both considered snapshot versions. I.e. if one tried
to resolve the timestamped snapshot 5.2.0.20101110.030222-361 as a dependency, it would fail
as well.

> [regression] Version x.y.z.SNAPSHOT does not deploy correctly
> -------------------------------------------------------------
>
>                 Key: MNG-4893
>                 URL: http://jira.codehaus.org/browse/MNG-4893
>             Project: Maven 2 & 3
>          Issue Type: Bug
>          Components: Deployment
>    Affects Versions: 3.0
>            Reporter: Paul Gier
>            Priority: Critical
>             Fix For: 3.0.1
>
>
> When using a version that ends with ".SNAPSHOT" instead of the usual "-SNAPSHOT", Maven
3.0 changes the project version to the timestamped version.  So "5.2.0.SNAPSHOT" becomes something
like "5.2.0.20101109.215833-1".  A Nexus snapshot repository will reject this deployment because
the version in the directory name does not end with "SNAPSHOT".
> I tested that this works in Maven 2.2.1 and Maven 3.0-beta-1, but does not work in Maven
3.0.  The build returns an HTTP 400 error when deploying to Nexus.
> Error from Nexus log
> {noformat}
> 2010-11-09 22:02:23 INFO [1298122354-2147] - o.s.n.p.m.m.M2Repos~ - Storing of item snapshots:/org/drools
> /drools/5.2.0.20101110.030222-361/drools-5.2.0.20101110.030222-361.pom is forbidden by
Maven Repository 
> policy. Because snapshots is a SNAPSHOT repository
> 2010-11-09 22:02:23 ERROR [1298122354-2147] - o.s.n.r.ContentPlex~ - Got exception during
processing 
> request "PUT http://repository.jboss.org/nexus/content/repositories/snapshots/org/drools/drools
> /5.2.0.20101110.030222-361/drools-5.2.0.20101110.030222-361.pom": Storing of item snapshots:/org/drools
> /drools/5.2.0.20101110.030222-361/drools-5.2.0.20101110.030222-361.pom is forbidden by
Maven Repository 
> policy. Because snapshots is a SNAPSHOT repository 
> {noformat}

-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators: http://jira.codehaus.org/secure/Administrators.jspa
-
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message